import Color from 'color';
import normalize from '../normalize';

const lightness = (baseColor, key) => {
  if (typeof key !== 'number') return baseColor;
  const base = Color(baseColor);
  const targetL = Math.min(Math.max(key, 0), 100);
  return normalize(base.lightness(targetL));
};

export default lightness;